#
#  Trumpet Winsock 2.0 Login.cmd
#
#  Copyright (C) 1994,1995 Peter R. Tattam &
#  Trumpet Software International Pty Ltd (TSI)
#  All rights reserved.
#
#  Unless TSI has given prior written consent to such use,
#  no permission is granted to distribute or otherwise make available
#  to the public modified versions of this script for commercial purposes.
#  Any permitted distribution of modified versions of the script must
#  retain the copyright notice at the start of this file and must clearly
#  identify those parts of the file which have been modified.
#
#  This file was modified to work with NETCOM NetCruiser account.
#  by PC - adasko@ix.netcom.com - PC's HELP PAGE on WWW
#
#  Modified file setup.cmd is required for this script to work properely
#
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++#
#  EXEC statement added to start TIMIT.EXE by Lamar O. Keller, 
#  lokeller@ix.netcom.com.
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++#
#

if ![load $number]
  if [query $number "Enter NETCOM phone number"]
    save $number
  end
end

# Added by PC - START

if ![load $initstring]
  if [query $initstring "Modem initialization string"]
    save $initstring
  end
end

# Added by PC - END

if ![load $username]
  if [username "Enter your username without #"]
    save $username
  end
end
if ![load $password]
  if [password "Enter your NetCruiser password"]
    save $password
  end
end

$prompt     = ":"
$userprompt = "ogin"
$passprompt = "assword:"
$addrtag1   = "PPP session from ("
$addrtag2   = " to "

%attempts = 10
#
#
#
# initialize modem
#
output "atz"\13
if ! [input 10 OK\n]
  display "Modem is not responding"\n
  abort
end
#
# setup our modem commands
#
output $initstring\13
input 10 OK\n
#
# send phone number
#
%n = 0
repeat
  display "Attempt #"%n\n
  if %n = %attempts
    display "Too many dial attempts"\n
    abort
  end
  output "atdt"$number\13
  %ok = [input 20 CONNECT]
  %n = %n + 1
until %ok
input 10 \n
#
#  wait till it's safe to send because some modem's hang up
#  if you transmit during the connection phase
#
wait 30 dcd
#
# now prod the terminal server
#
output \13
#
#  wait for the USERNAME prompt
#
input 30 $userprompt
output "#"$username\13
#
# wait for the PASSWORD prompt
#
input 30 $passprompt
output $password\13
#
# wait for the ADDRESS STRING
#
  input 30 $addrtag1
  address 30
  input 30 $addrtag2
  address 30
#
# connected and ready to run
# display information confirming connection
#
display \n
display Connected.  Your PPP session IP address is \i.\n
display \n
#
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++#
#  Added by LOK - Start session timer
exec timit 1 netcom
#++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++#
#
# now we are finished.
#
end
